gnunet-svn
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[taler-grid5k] 40/189: include partition logic of taler


From: gnunet
Subject: [taler-grid5k] 40/189: include partition logic of taler
Date: Thu, 28 Apr 2022 10:46:50 +0200

This is an automated email from the git hooks/post-receive script.

marco-boss pushed a commit to branch master
in repository grid5k.

commit be275487d250c651a83884cf03c974e08e7c98da
Author: Boss Marco <bossm8@bfh.ch>
AuthorDate: Wed Mar 2 11:31:55 2022 +0100

    include partition logic of taler
---
 experiment/scripts/database.sh | 12 ++++--------
 1 file changed, 4 insertions(+), 8 deletions(-)

diff --git a/experiment/scripts/database.sh b/experiment/scripts/database.sh
index 22e976e..608b9df 100755
--- a/experiment/scripts/database.sh
+++ b/experiment/scripts/database.sh
@@ -231,13 +231,6 @@ psql -d "${DB_NAME}" -tAc "SELECT 
drop_default_partitions();"
 EOF
 }
 
-function setup_partitions() {
-  setup_distributed_db
-  su taler-exchange-httpd -s /bin/bash << EOF
-psql -d "${DB_NAME}" -tAc "SELECT setup_partitions(${NUM_PARTITIONS});"
-EOF
-}
-
 # Initialize the database for taler exchange
 function init_db() {
   systemctl restart postgresql
@@ -266,7 +259,10 @@ EOF
   if [ "${SHARD_DB}" = "true" ]; then
     setup_shards
   elif [ "${PARTITION_DB}" = "true" ]; then
-    setup_partitions
+    # TODO - move up if sharding is working too
+    sudo -u taler-exchange-httpd taler-exchange-dbinit -r || true
+    sudo -u taler-exchange-httpd taler-exchange-dbinit -s || true
+    sudo -u taler-exchange-httpd taler-exchange-dbinit -P ${NUM_PARTITIONS}
   else
     sudo -u taler-exchange-httpd taler-exchange-dbinit -r || true
     sudo -u taler-exchange-httpd taler-exchange-dbinit -s || true

-- 
To stop receiving notification emails like this one, please contact
gnunet@gnunet.org.



reply via email to

[Prev in Thread] Current Thread [Next in Thread]